export default {
    props: {
        id: {
            type :String,
            require : true
        },
        name: {
            type :String,
            require : true
        },
        description: {
            type :String,
            require : true
        }
    },
    computed: {
        description20(){
            if (this.description.length > 20) {
                return this.description.substring(0, 20) + '...';
              } else {
                return this.description;
              }
            }
        },
    template: `
        <div class="team-card">
            <span>ID of the Team : {{ id }}</span>
            <p>Name : {{ name }}</p>
            <p>Description : {{ description20 }}</p>
        </div>
    `
}