export default {
    props: {
        linkHome: {
            type: String,
            default: '#'
        },
        linkTeam:{
            type: String,
            default: ''
        },
        linkResults: {
            type: String,
            default: 'https://www.github.com'
        }
    },
    methods:{
        toggleDiv: function(){
            let div = document.getElementById("team");
			if (div.classList.contains("hide")) {
				div.classList.remove("hide");
			} else {
				div.classList.add("hide");
			}
        }
    },
    template:`
        <ul>
            <li><a :href="linkHome">Home</a></li>
            <li @click="toggleDiv"><a :href="linkTeam">Team</a></li>
            <li><a target="_blank" :href="linkResults">Results</a></li>
        </ul>
    `

};